Debian Bug report logs - #714795
update config.* for arm64

version graph

Package: gawk; Maintainer for gawk is Arthur Loiret <aloiret@debian.org>; Source for gawk is src:gawk.

Reported by: Matthias Klose <doko@ubuntu.com>

Date: Tue, 2 Jul 2013 21:24:13 UTC

Severity: normal

Tags: patch

Found in versions gawk/1:4.0.1+dfsg-2.1, gawk/4.0.1+dfsg-2.1

Fixed in version gawk/1:4.0.1+dfsg-3

Done: Jeroen Schot <schot@a-eskwadraat.nl>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Arthur Loiret <aloiret@debian.org>:
Bug#714795; Package gawk. (Tue, 02 Jul 2013 21:24:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Arthur Loiret <aloiret@debian.org>. (Tue, 02 Jul 2013 21:24:17 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@ubuntu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: update config.* for arm64
Date: Tue, 02 Jul 2013 23:23:10 +0200
Package: gawk
Version: 1:4.0.1+dfsg-2.1
Severity: normal
Tags: patch
Usertags: origin-ubuntu saucy ubuntu-patch

these files do need an update for aarch64.  not using dh-autoreconf, because
that would add a b-d on autopoint, which is not wanted for a bootstrap.

patch at
http://launchpadlibrarian.net/144027213/gawk_1%3A4.0.1%2Bdfsg-2.1ubuntu1_1%3A4.0.1%2Bdfsg-2.1ubuntu2.diff.gz



Information forwarded to debian-bugs-dist@lists.debian.org, Arthur Loiret <aloiret@debian.org>:
Bug#714795; Package gawk. (Thu, 14 Nov 2013 12:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Arthur Loiret <aloiret@debian.org>. (Thu, 14 Nov 2013 12:57:08 GMT) Full text and rfc822 format available.

Message #10 received at 714795@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 695162@bugs.debian.org, 714795@bugs.debian.org
Subject: gawk: diff for NMU version 1:4.0.1+dfsg-2.2
Date: Thu, 14 Nov 2013 12:54:03 +0000
[Message part 1 (text/plain, inline)]
tags 695162 + pending
tags 714795 + pending
thanks

Dear maintainer,

I've prepared an NMU for gawk (versioned as 1:4.0.1+dfsg-2.2) and
uploaded it to DELAYED/10.  Please feel free to tell me if I should
delay it longer.

For #714795, note that I took the rather more compact and future-proof
approach (but with the same effect) of using
dh_autotools-dev_{update,restore}config.

Regards,

-- 
Colin Watson                                       [cjwatson@debian.org]
[gawk-4.0.1+dfsg-2.2-nmu.diff (text/x-diff, attachment)]

Added tag(s) pending. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Thu, 14 Nov 2013 12:57:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Arthur Loiret <aloiret@debian.org>:
Bug#714795; Package gawk. (Mon, 09 Dec 2013 16:57:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to Arthur Loiret <aloiret@debian.org>. (Mon, 09 Dec 2013 16:57:11 GMT) Full text and rfc822 format available.

Message #17 received at 714795@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Debian Bug Tracking System <714795@bugs.debian.org>
Subject: gawk: Alternate (simpler) patch using autotools-dev
Date: Mon, 09 Dec 2013 16:52:15 +0000
[Message part 1 (text/plain, inline)]
Source: gawk
Version: 4.0.1+dfsg-2.1
Followup-For: Bug #714795
User: debian-arm@lists.debian.org
Usertag: arm64

The attached patch uses autotools-dev to update config.{guess,sub}. This
doesn't add any dependencies (beyond autotools-dev) (as the more
thorough dh_autoreconf would) but is a cleaner patch than simply
patching the files. I agree with Doko that we don't want an autopoint
dep here.

This one works fine too. Up to you which you use.

And now it's tagged arm64 it'll save anyone else not finding it and
re-doing the patch a different way :-)


-- System Information:
Debian Release: 7.2
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-kvm-i386-20110111 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[gawk-4.0.1+dfsg-arm64-support.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Arthur Loiret <aloiret@debian.org>:
Bug#714795; Package gawk. (Thu, 03 Apr 2014 00:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@debian.org>:
Extra info received and forwarded to list. Copy sent to Arthur Loiret <aloiret@debian.org>. (Thu, 03 Apr 2014 00:09:09 GMT) Full text and rfc822 format available.

Message #22 received at 714795@bugs.debian.org (full text, mbox):

From: Wookey <wookey@debian.org>
To: 695162@bugs.debian.org, 714795@bugs.debian.org
Subject: gawk: diff for NMU version 1:4.0.1+dfsg-2.2
Date: Wed, 2 Apr 2014 23:42:38 +0000
[Message part 1 (text/plain, inline)]
Package: gawk
Version: 1:4.0.1+dfsg-2.1
Severity: normal
Tags: patch pending

Now that arm64 is in debian-ports, the update for new arches (#714795)
filed in july last year is blocking things.  #695162 which enables
building without tests, primarily usful for cross-building, has also
been mouldering since December 2012, so I've prepared an NMU including both.

It seems that Colin did this in Nov 2013, but that never made it to the
archive for some reason, so I'm trying again.

It's versioned as 1:4.0.1+dfsg-2.2) and I will upload it shortly to 
DELAYED/10. Shout if this is a problem. 

Wookey
[gawk-4.0.1+dfsg-2.2-nmu.diff (text/x-diff, attachment)]

Reply sent to Jeroen Schot <schot@a-eskwadraat.nl>:
You have taken responsibility. (Tue, 08 Apr 2014 11:21:14 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@ubuntu.com>:
Bug acknowledged by developer. (Tue, 08 Apr 2014 11:21:14 GMT) Full text and rfc822 format available.

Message #27 received at 714795-close@bugs.debian.org (full text, mbox):

From: Jeroen Schot <schot@a-eskwadraat.nl>
To: 714795-close@bugs.debian.org
Subject: Bug#714795: fixed in gawk 1:4.0.1+dfsg-3
Date: Tue, 08 Apr 2014 11:19:00 +0000
Source: gawk
Source-Version: 1:4.0.1+dfsg-3

We believe that the bug you reported is fixed in the latest version of
gawk, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 714795@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jeroen Schot <schot@a-eskwadraat.nl> (supplier of updated gawk package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 08 Apr 2014 00:44:30 +0200
Source: gawk
Binary: gawk
Architecture: source amd64
Version: 1:4.0.1+dfsg-3
Distribution: unstable
Urgency: low
Maintainer: Arthur Loiret <aloiret@debian.org>
Changed-By: Jeroen Schot <schot@a-eskwadraat.nl>
Description: 
 gawk       - GNU awk, a pattern scanning and processing language
Closes: 695162 714795
Changes: 
 gawk (1:4.0.1+dfsg-3) unstable; urgency=low
 .
   * Simplify invocation of test suite and honour DEB_BUILD_OPTIONS=nocheck.
     Closes: #695162.
   * Ensure config.{sub,guess} are updated for new architectures.
     Closes: #714795.
   * Make sure that binaries don't set RPATH.
   * Update to Standards-Version 3.9.5, no changes needed.
Checksums-Sha1: 
 3491ea29ffb99ee4b692e737ce7d41cbd818b828 1499 gawk_4.0.1+dfsg-3.dsc
 f8d5800f7952461d405dd6bc2db6b51be4ff46e1 36260 gawk_4.0.1+dfsg-3.debian.tar.xz
 3c6dd02dfc81316035242f6b2548a73e1f9e378b 460470 gawk_4.0.1+dfsg-3_amd64.deb
Checksums-Sha256: 
 f36a5a1331a2fbd95b1f48280c604554d7c2dcc9203fd63db365e959f65bfbbd 1499 gawk_4.0.1+dfsg-3.dsc
 ebca054218af03fa72c61a80ef7d458f59d828c14cd22e7a5c0b0f18a23c9fd8 36260 gawk_4.0.1+dfsg-3.debian.tar.xz
 98271ac918957a575fd0ea595a589b7e2805302480e4f79ffce29c19d1dca330 460470 gawk_4.0.1+dfsg-3_amd64.deb
Files: 
 7bf8057ca9a43152a0d0855074699978 1499 interpreters optional gawk_4.0.1+dfsg-3.dsc
 acf609ed855910e2bed21be91f1c9c67 36260 interpreters optional gawk_4.0.1+dfsg-3.debian.tar.xz
 12b07adf1c72080821577d4c70100890 460470 interpreters optional gawk_4.0.1+dfsg-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBAgAGBQJTQ9izAAoJEFb2GnlAHawE57oH+wXsUEc80u+/WyHj9GYE4mMh
C41Ul3NPv60CLJz9+LGfzy1gujNowkXLEeTUIx1fbGr/+EUde+nDhxzg5wHoz0jr
885aYhVQRy+kbP3ggJ1YEpR94emUTnUZh+83peWsU3lDdazImz4oVMa/y7qes1xl
hF4NrjUbxGCsrYdnU1Iq3423AbKm9W0xxbftxrqwZJuB6sCuS7ofprdSygiDiSwx
AaIsu/RvyWa6D7JHR9Pi7oGH3q80P123eqB2v2VVp89TCLqjot8in40bWOFkjGEq
bL0Ox0h2YReal+fy+/9f+5ZVsVzLUwT2wwwvMHjlq7FLJd9Kyi39X3C+NHsc4rY=
=bepE
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 10:51:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.